﻿@model eCommerce.Services.Model.Coupon
@using eCommerce.Services.Model.Enums
@{
    ViewBag.Title = "Cupones de Descuento";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Cupon de Descuento</h1>
    <ol class="breadcrumb">
        <li class="active">Crear / Editar</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("CouponUpdate", "Coupons", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off" }))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Código</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" name="Code" value="@Model.Code" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Porcentaje</label>
                            <div class="col-sm-2">
                                <div class="input-group">
                                    <span class="input-group-addon">%</span>
                                    <input type="text" class="form-control" name="Percentage" placeholder="0,00" value="@(Model.Percentage == 0 ? string.Empty : Model.Percentage.ToString())">
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Fecha Desde</label>
                            <div class="col-sm-3">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="icon wb-calendar" aria-hidden="true"></i>
                                    </span>
                                    <input type="text" class="form-control" name="FromDate" value="@(Model.FromDate != DateTime.MinValue ? Model.FromDate.ToShortDateString() : string.Empty)" data-plugin="datepicker" />
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Fecha de Vencimiento</label>
                            <div class="col-sm-3">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="icon wb-calendar" aria-hidden="true"></i>
                                    </span>
                                    <input type="text" class="form-control" name="ExpirationDate" value="@(Model.ExpirationDate != DateTime.MinValue ? Model.ExpirationDate.ToShortDateString() : string.Empty)" data-plugin="datepicker" />
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Descripción</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Description" value="@Model.Description" />
                            </div>
                        </div>
                        @*<div class="form-group">
                            <label class="col-sm-2 control-label">Texto blink del cupon</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Text" value="@Model.Text" />
                            </div>
                        </div>*@
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Tipo</label>
                            <div class="col-sm-3">
                                <div class="radio-custom radio-primary">
                                    <input type="radio" id="CouponType" name="CouponType" checked="@(Model.CouponType == (int)CouponTypeEnum.Minorista)" value="@((int)CouponTypeEnum.Minorista)">
                                    <label for="inputRadiosChecked">Minorista</label>
                                </div>
                                <div class="radio-custom radio-primary">
                                    <input type="radio" id="CouponType" name="CouponType" checked="@(Model.CouponType == (int)CouponTypeEnum.Mayorista)" value="@((int)CouponTypeEnum.Mayorista)">
                                    <label for="inputRadiosChecked">Mayorista</label>
                                </div>
                                
                            </div>
                        </div>
                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                            <button type="button" class="btn btn-default" onclick="window.location.href = '/Coupons'">Cancelar</button>
                            @Html.HiddenFor(model => model.CouponId)
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Code: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Código es requerido.'
                            }
                        }
                    },
                    Percentage: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Porcentaje es requerido.'
                            },
                            numeric: {
                                message: 'Ingrese un valor correcto.',
                                separator: ','
                            }
                        }
                    }
                }
            });
        })();

    </script>
}

